Subject: Re: catalogs

From: [email-masked]
Date: Tue, 7 Mar 1995 07:48:14 -0500

FYI, Cumberland General Store catalogs can be found on some magazine racks
(Barnes & Noble, for example). Lehman's is often part of theose multiple
catalog order cards found TMEN and other magazines. I've even seen in some
outdoors magazines.  It's obscure ones I'm interested in.